Thanks Vadim...

I compiled / installed both as root. Running an ubuntu 10.10 linux distribution.

locate libpcre.so.0 returns nothing, however locate libpcre.so returns:

/lib/libpcre.so.3
/lib/libpcre.so.3.12.1

Did I install the wrong version of PCRE? It was the most current version on the PCRE site. If libpcre.so.3 is backwards compatible, could I somehow point swig at it instead?

If not do you know what the correct PCRE distribution would be?

Thanks again for the help!

d.

On 20/11/2010 20:13, Vadim Zeitlin wrote:
On Sat, 20 Nov 2010 19:25:41 +0000 Daniel Mostovoy <daniel@northinfo.com> wrote:

DM> Hi... I've recently decided to upgrade to swig 2.0.1 after using 1.3. 
DM> upon first running ./config i understood that I also had to install 
DM> PCRE. So I downloaded & installed pcre-8.10, came back to swig & the 
DM> config, make, make install seemed to work great. Upon completion 
DM> however, when I ran swig -version I got the following error:
DM> 
DM> swig:error while loading shared libraries: libpcre.so.0 cannot open 
DM> shared object file: No such file or directory
DM> 
DM> Did I make some mistake while installing pcre that the shared libraries 
DM> are missing?

 If you're under Linux and installed PCRE as a normal user (and not root)
you may have forgotten to run ldconfig and/or add the directory where you
installed it (/usr/local/lib?) to /etc/ld.so.conf. But this is just a
guess, it's difficult to say anything more without knowing anything about
your platform.

 Regards,
VZ
------------------------------------------------------------------------------ Beautiful is writing same markup. Internet Explorer 9 supports standards for HTML5, CSS3, SVG 1.1, ECMAScript5, and DOM L2 & L3. Spend less time writing and rewriting code and more time creating great experiences on the web. Be a part of the beta today http://p.sf.net/sfu/msIE9-sfdev2dev
_______________________________________________ Swig-user mailing list Swig-user@lists.sourceforge.net https://lists.sourceforge.net/lists/listinfo/swig-user